import junit.framework.*;

public class TestVerificador extends TestCase{
	public void test_should_open_read_close_file_unix(){	
		String fileName = "C:/Documents and Settings/reds2/Desktop/Pedro Paulo/workspace/Verificador/tests/test.txt";
		Verificador ver = new Verificador(fileName, "\n", "|", 9, "\"");
		String line;
		ver.openFile();
		line = ver.readLine();
		
		assertEquals("1 2 3 Testando\n", line);
		line = ver.readLine();
		assertEquals("3 2 1 odnatseT\n", line);
		ver.closeFile();
	}
	
	public void test_should_open_read_close_file_windows(){	
		String fileName = "C:/Documents and Settings/reds2/Desktop/Pedro Paulo/workspace/Verificador/tests/test2.txt";
		Verificador veri = new Verificador(fileName, "\r\n", "\\|", 9, "\"");
		String line;
		
		veri.openFile();
		line = veri.readLine();
		
		
		assertEquals("1 2 3 Testando\r\n", line);
		line = veri.readLine();
		assertEquals("3 2 1 odnatseT\r\n", line);
		veri.closeFile();
	}
	
	public void test_should_break_in_columns(){
		
		Verificador v = new Verificador(null, "\n", "\\|", 9, "\"");
		String s = "my name|is|pedro|i|am|23|years|old";
		String[] array;
		int i = 0;
		
		array = v.breakInColumns(s);

		assertEquals("my name", array[i++]);
		assertEquals("is", array[i++]);
		assertEquals("pedro", array[i++]);
		assertEquals("i", array[i++]);
		assertEquals("am", array[i++]);
		assertEquals("23", array[i++]);
		assertEquals("years", array[i++]);
		assertEquals("old", array[i++]);

	}
	
	public void test_should_count_columns_correctly(){
		Verificador v = new Verificador(null, "\n", "\\|", 9, "\"");
		String[] array;
		String s = "my | name|is|pedro|i|am|23|years|old";
		array = v.breakInColumns(s);		
		assertTrue(v.isColumnCountOk(array));		
	}
	
	public void testFlatFileShouldBeOk(){
		String fileName = "C:/Documents and Settings/reds2/Desktop/Pedro Paulo/workspace/Verificador/tests/OBJ500.TXT";
		Verificador ver = new Verificador(fileName, "\n", "\\|", 5, "");		
		assertTrue(ver.isFlatFileOk());
	}
	
}
